All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.iquery.execution2
Interface IQResultSetMetaData

All Known Implementing Classes:
  AbstractIQResultSetMetaData, IQOlapResultSetMetaData, IQRelationalResultSetMetaData

    public interface IQResultSetMetaData

`IQResultSetMetadata` provides a mechanism for returning additional, model-derived, metadata about an underlying result set. The `IQResultSetMetadata` object is available through the `ResultSetInterface` interface.

Clients that want to obtain the concrete result set metadata, either `ResultSet` or `com.sas.storage.ResultSetMetadataInterface` should access that metadata directly from the concrete result set.

Method Summary
`java.util.Map<java.lang.Integer,java.util.List<DrillPath>>` | `getAllDrillPaths()` Return a map, in which the key is the axis and the value is a list of drill path objects for each axis.
`DataItem` | `getDataItem(java.lang.Object uniquePhysicalObject)` Returns the data item associated with this physical object.
`java.util.List<DataItem>` | `getDataItems()` Returns the list of data items used to create the result set.
`java.util.List<DrillPath>` | `getDrillPaths(DataItem di)` Return the list of drill paths for this data item.
`java.util.List<DrillPath>` | `getDrillPaths(int axis)` Return a list of drill path objects, representing the user's current drill state into the result set.
`java.util.List<java.lang.String>` | `getUniqueNames()` Returns a list of unique names are included in this result set.
`boolean` | `isDrillable()` Return true if this result set metadata supports drilling.

Method Detail

### getUniqueNames

    java.util.List<java.lang.String> getUniqueNames()

  Returns a list of unique names are included in this result set.

  Example 1 (OLAP):

  Below defines the string object in this list for a unique level name for the hierarchy of Product and level of Product Group.

  `[Product].[Product_Category]`

  Example 2 (OLAP):

  Below defines the string object in this list for the Measures labeled "Sales Sum".

  `[Measures].[SALES]`

  Returns:
    a list of names

### getDataItem

    DataItem getDataItem(java.lang.Object uniquePhysicalObject)

  Returns the data item associated with this physical object.

  Parameters:
    `uniquePhysicalObject` - which can be a String object (either tuple unique name, level name, or member name), a MeasureInterface object, a HierarchyInterface object, or some other, yet to be defined, object.
  Returns:
    the `DataItem` associated with this physical object

### getDataItems

    java.util.List<DataItem> getDataItems()

  Returns the list of data items used to create the result set.

  Returns:
    a list of `DataItem`

### isDrillable

    boolean isDrillable()

  Return true if this result set metadata supports drilling. If drilling is not supported, methods such getDrillPaths() will throw an `UnsupportedOperationException`.

### getDrillPaths

    java.util.List<DrillPath> getDrillPaths(int axis)
                                            throws ExecutionException

  Return a list of drill path objects, representing the user's current drill state into the result set.

  Parameters:
    `axis` - the axis as defined in `AxisInterface`
  Throws:
    `ExecutionException`

### getDrillPaths

    java.util.List<DrillPath> getDrillPaths(DataItem di)
                                            throws ExecutionException

  Return the list of drill paths for this data item.

  Returns:
    a list of `DrillPath` objects.
  Throws:
    `ExecutionException`

### getAllDrillPaths

    java.util.Map<java.lang.Integer,java.util.List<DrillPath>> getAllDrillPaths()
                                                                                throws ExecutionException

  Return a map, in which the key is the axis and the value is a list of drill path objects for each axis.

  Returns:
    a list, in which each value is a list of drill path objects
  Throws:
    `ExecutionException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.